function Ploting_2D_HorizontalSlices(Vsmean,stdS,zprofile,inputparameters_filename,mean_or_uncertainty,displaylimitx,displaylimity)
UTM_latlong=0;
%% reading source and receiver coordinates
run(inputparameters_filename);
xysrc=dlmread(['sources_LATLONG.dat']);
xyrcv=dlmread(['receivers_LATLONG.dat']);
nrcv=xyrcv(1,1);
xrcv=xyrcv(2:nrcv+1,2);
yrcv=xyrcv(2:nrcv+1,1);
nsrc=xysrc(1,1);
xsrc=xysrc(2:nsrc+1,2);
ysrc=xysrc(2:nsrc+1,1);
xlbl='Longitude';
ylbl='Latitude';
CoastX=CoastLonlat(:,1);
CoastY=CoastLonlat(:,2);
ncmp=20;


if mean_or_uncertainty==1% plotting mean
    nz_hslice=floor(zprofile/dz)+1;
    %     imagesc(x,y,squeeze(Vsmean(:,:,nz_hslice)),'AlphaDataMapping','none');axis equal;axis tight
    pcolor(x,y,squeeze(Vsmean(:,:,nz_hslice)));
%     axis equal;axis tight
    shading interp
%     cb=colorbar('Location','east');
    cb=colorbar;%('Location','east');
    cb.Label.String='Posterior mean (km/s)';
%     cb.Label.Position=[3.601250052452087,2.135889252585882,0];
    xlabel('X (km)');ylabel('Y (km)');
    xlabel(xlbl);ylabel(ylbl);
%     title('Top view')
%     title('(a) Mean velocity')
    set(gca,'YDir','normal')
    % hold on;plot(x,yprofile*ones(size(x)),'--k','LineWidth',3)
    % text(displaylimitx(1)-0.02,yprofile,'A','HorizontalAlignment', 'center');
    % text(displaylimitx(2)+0.02,yprofile,'A''','HorizontalAlignment', 'center');
    % hold on;plot(xrcv,yrcv,'MarkerSize',10,'Marker','v','MarkerFaceColor','none','MarkerEdgeColor','w','LineStyle','none','LineWidth',2);
    hold on;plot(CoastX,CoastY,'k','LineWidth',4)
    hold on;addGeologicalsettings(UTM_latlong);
    % cmp = colormap(seismic(ncmp));
%     cmp = colormap(jet(ncmp));
%     cmp = flipud(cmp);
%     colormap(cmp);
    xlim(displaylimitx);ylim(displaylimity);
    if UTM_latlong==1% utm
        %     axis equal;axis tight;
        %     daspect([1 1 1])
        
    else
        % One degree of latitude equals approximately 111.045 km
        % One-degree of longitude equals 87.87018 km
%         daspect([1.6 87.87018/111.045 87.87018/3]);
    end
    set(gca,'FontSize',16,'FontWeight','bold')
    
    % subplot(122)
else
    nz_hslice=floor(zprofile/dz)+1;
    %     imagesc(x,y,squeeze(stdS(:,:,nz_hslice)));
    pcolor(x,y,squeeze(stdS(:,:,nz_hslice)));shading interp
%     axis equal;
%     axis tight
    cb=colorbar;cb.Label.String='Uncertainty (km/s)';
    xlabel('X (km)');ylabel('Y (km)');
    xlabel(xlbl);ylabel(ylbl);
%     title('Top view')
%     title('(b) uncertainty')
    set(gca,'YDir','normal')
    % hold on;plot(x,yprofile*ones(size(x)),'--k','LineWidth',3)
    % text(displaylimitx(1)-0.02,yprofile,'A','HorizontalAlignment', 'center');
    % text(displaylimitx(2)+0.02,yprofile,'A''','HorizontalAlignment', 'center');
    %     hold on;plot(xrcv,yrcv,'MarkerSize',10,'Marker','v','MarkerFaceColor','none','MarkerEdgeColor','w','LineStyle','none','LineWidth',2);
    hold on;plot(CoastX,CoastY,'k','LineWidth',4)
    hold on;addGeologicalsettings(UTM_latlong);
end
cmp = colormap(jet(ncmp));
% cmp = colormap(seismic(ncmp));
cmp = flipud(cmp);
colormap(cmp);
xlim(displaylimitx);ylim(displaylimity);
if UTM_latlong==1% utm
    %     axis equal;axis tight;
    %     daspect([1 1 1])
    
else
    % One degree of latitude equals approximately 111.045 km
    % One-degree of longitude equals 87.87018 km
%     daspect([1.6 87.87018/111.045 87.87018/3]);
end
set(gca,'FontSize',16,'FontWeight','bold')

end