function RaysVelsPlot(xrcv,yrcv,ifreq,Information)
hold off;
phvel=Information(:,ifreq+2);
phvel(phvel<=0)=[];
cmin=min(phvel);cmax=max(phvel);
% cmap = colormap('jet');
cmap = flipud(colormap('jet'));
m = length(cmap);

% plot(xrcv,yrcv,'Marker','x','LineStyle','none','MarkerSize',10)
% hold on;
nrays_freq=0;
for k=1:size(Information,1)
    if Information(k,ifreq+2)>0
        x=[xrcv(Information(k,1)),xrcv(Information(k,2))];
        y=[yrcv(Information(k,1)),yrcv(Information(k,2))];
        colorindex = fix((Information(k,ifreq+2)-cmin)/(cmax-cmin)*m)+1;
        RGB = ind2rgb(colorindex,cmap);
        geoplot(x,y,'k','color',RGB);hold on
        geobasemap("darkwater")
        % plot(x,y,'k','color',RGB);hold on;title(num2str(k))
        
        nrays_freq=nrays_freq+1;
    end
end

% title(['Rays density at frequency of ',num2str(freq2invert(ifreq)),' Hz., number of active rays in this frequency is: ',num2str(nrays_freq),'!'])
% xlabel('X (km)');ylabel('Y (km)')
colormap(cmap);clim([cmin cmax])
cb=colorbar;
cb.Label.String = 'Picked phase velocity (km/s)';
set(gca,'Fontsize',16,'FontWeight','bold')
end