function addGeologicalsettings(UTMorLatLon)
% load('Lake.mat')
load('HTzones.mat')
%% Adding location of reference points
PowerPlantsLatLong=[63.879 -22.433;63.825 -22.685; 63.9257 -21.9716];


ReferencePoints=sortrows(PowerPlantsLatLong,1);

addreferencepoints=0;
if addreferencepoints==1
hold on;plot(gca,ReferencePoints(:,2),ReferencePoints(:,1),'MarkerFaceColor','none','MarkerEdgeColor','k','MarkerSize',10,'Marker','o','LineStyle','none','LineWidth',3)
for ii=1:size(ReferencePoints,1)
    % text(ReferencePoints(ii,1),ReferencePoints(ii,2),['\leftarrow ',num2str(ii)])
    text(gca,ReferencePoints(ii,2),ReferencePoints(ii,1),num2str(ii),'HorizontalAlignment', 'right','FontSize',20)
    % textm(ReferencePoints(ii,1),ReferencePoints(ii,2),num2str(ii))
end
end
%% Adding high temperature zones
for i=1:length(S)
   hold on;h=plot(gca,S(i).X,S(i).Y,'k','LineStyle',':','LineWidth',4); 
end
%% Adding volcanic systems and lake
volcanicsystem=1;
if volcanicsystem==1
    load('VolcanicSystems.mat')

if UTMorLatLon==1% UTM
%     hold on;plot(gca,LakeX,LakeY,'b','LineStyle','-','LineWidth',3);
    for i=1:length(S)
        hold on;plot(gca,S(i).Ex,S(i).Ny,'g','LineStyle','-','LineWidth',3);
    end
else
%     hold on;plot(gca,LakeLon,LakeLat,'b','LineStyle','-','LineWidth',3);
    for i=1:length(S)
        hold on;plot(gca,S(i).X,S(i).Y,'g','LineStyle','-','LineWidth',3);
    end
end
end

end