fielddata=true;
atrue=0.0;
btrue=0.0;
nx = 241; ny = 151; nz = 81;
xminutm=360;
xmaxutm=480;
yminutm=7040;
ymaxutm=7115;
dxutm = (xmaxutm-xminutm)/(nx-1);
dyutm = (ymaxutm-yminutm)/(ny-1);
xutm=(xminutm:dxutm:xmaxutm);
yutm=(yminutm:dyutm:ymaxutm);
proj = projcrs(32227);% WGS 72 / UTM zone 27N
[lat,lon] = projinv(proj,[360 480]*1000,[7040 7115]*1000);
xmin = lon(1); ymin = lat(1); zmin = 0;
xmax=lon(2);ymax=lat(2);zmax=20;
bnd = [xmin xmax ymin ymax zmin zmax];

dx = (bnd(2)-bnd(1))/(nx-1);
dy = (bnd(4)-bnd(3))/(ny-1);
dz = (bnd(6)-bnd(5))/(nz-1);
x=(bnd(1):dx:bnd(2));
y=(bnd(3):dy:bnd(4));
z=(bnd(5):dz:bnd(6));

run_time_step=200;
ndisplay=5000;
nchains = 19; 
chains=[1:11,13:20];%1:nchains;

load('Reykjanes_Coastline_latlong.mat');% Reading coast line data
CoastX=CoastLonlat(:,1);CoastY=CoastLonlat(:,2);
% ReferencePoints=sortrows(HTzoneslatlong,1);
% ReferencePoints=ReferencePoints(1:5,:);
% % ReferencePoints(1,1)=xprofile;
% % ReferencePoints(1,2)=yprofile;
% nht=5;
% xprofile=ReferencePoints(nht,1);
% yprofile=ReferencePoints(nht,2);

